/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

//To save file in mobile

import java.util.* ;
import java.io.* ;
import javax.microedition.io.* ;
import javax.microedition.io.file.*  ;
import javax.microedition.lcdui.* ;

/**
 *
 * @author Aks
 */


public class LocalFileSave {
    
    public LocalFileSave() {
          
    }
    
    public synchronized void saveFile(String fileURL, byte [] data, Display d) {
                
        Display display = d ;
        
        System.out.println("In Save file function");
        
        OutputStream os ;
        
        try {
            
            FileConnection fileConn = (FileConnection)Connector.open(fileURL) ;
                        
            if(fileConn.exists()) {
                System.out.println("File Already Exists") ;
                Alert err = new Alert("Error", "File Already Exists", null, AlertType.ERROR);
                err.setTimeout(2000) ;
                display.setCurrent(err);
                return ;
            }
                        
            fileConn.create() ;   
            
            os = fileConn.openOutputStream() ;
            os.write(data) ;
            
            fileConn.close() ;
            os.close() ;
        }
        catch(IOException e) {
            Alert err = new Alert("Error", "Root is not Accessible. \n\n\n" + e.toString(), null, AlertType.ERROR) ;
            err.setTimeout(3000) ;
            display.setCurrent(err);
            System.out.println("Root is not Accessible") ;
            return ;
        }
            
        Alert err = new Alert("Done", "File Saved", null, AlertType.INFO);
        err.setTimeout(2000) ;
        display.setCurrent(err);
    }
    
}