
import java.net.*;
import java.io.*;
import java.util.Date;
import javax.servlet.*;
import javax.servlet.http.*;

/**
 *
 * @author Aks
 */
public class RemoteFile extends HttpServlet {
          
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    } 
    
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
        processRequest(request, response);
    }
	
	protected void processRequest(HttpServletRequest request, HttpServletResponse response)
    throws ServletException, IOException {
	
	try{
		// Get client's IP address
        //..String addr = request.getRemoteAddr(); // 123.123.123.123
	//System.out.println("Client's IP : " + addr) ;
    
        // Get client's hostname
        //String host = request.getRemoteHost(); // hostname.com
		//System.out.println("Client's hostname : " + host) ;
        
		int len = request.getContentLength();
        String contentType = request.getContentType();
        System.out.println("Len: " + len);
        System.out.println("Type: "+ contentType);
        
		response.setContentType("text/plain");
		Writer out = response.getWriter();
        	
		System.out.println("===Getting the File Parameters===");
		
		String task = request.getParameter("TASK");
		
			if(task.startsWith("write"))
			{
				String fileName = request.getParameter("TO");
				String fileText = request.getParameter("TEXT");
		
				System.out.println("File Name: " +fileName);
				System.out.println("File Text: " +fileText);
		
				PrintWriter rite = new PrintWriter(new FileWriter(fileName));
		
				rite.print(fileText);
				rite.flush();
		
				out.write("File Successfully Saved..@ "+ new Date());          
				out.flush();
			}
			else // reader
			{
				String fileName = request.getParameter("TO");
				BufferedReader in = new BufferedReader(new FileReader(fileName));
				String line;
				while((line = in.readLine())!=null)
				{
					System.out.println(line);
					out.write(line+"\n");
				}
				out.flush();
				System.out.println("Text file successfully sent ..@"+new Date());
			}
		}
		catch(Exception e)
		{
			System.out.println(e.toString());
		}
        
    } 

}
